zemberek-server(8)

NAME
zemberek-server - Turkish spell-checker server

SYNOPSIS
zemberek-server [CONFILE] or java -jar /usr/share/java/zemberek-server.jar [CONFILE]

DESCRIPTION
zemberek-server is a Java(TM) based ``Turkish'' spell checker daemon which listens a configured port (by default, 10444) for client connections and responds with the Turkish spell checked output in a server-client fashion. zemberek-server uses Zemberek, a Java(TM) based Turkish NLP library, at its heart. Certain parts of the servers' behaviour can be controlled in the CONFILE configuration file. For example, to change the listened port one can use the SERVER_PORT setting in CONFILE.

OPTIONS
There are no options.

NOTES
To make use of the server, a client program is required (see the next section).

FILES

/etc/zemberek-server.conf
    configuration file

/var/log/zemberek-server.log
    server's log file when running in the background

SEE ALSO
zpspell(1) the website for further information <https://zemberek.dev.java.net/>

AUTHOR
Zemberek Team: Ahmet A. Akin <ahmetaa@gmail.com> and Mehmet D. Akin <mdakin@gmail.com> This manual page was written by Recai Oktas <roktas@debian.org> for the Debian GNU/Linux system, but may be used by others.